# Configuration

Represents merchant-level configuration settings in the Violet platform. This resource lets you retrieve configuration, toggle global feature flags, and modify order configuration for a merchant.

**Available endpoints:**

```
GET /v1/merchants/{merchant_id}/configuration
PUT /v1/merchants/{merchant_id}/configuration/global_feature_flags/{feature_flag}
PUT /v1/merchants/{merchant_id}/configuration/orders_config
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/merchants/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
